export const ACCOUNTS_DOCTYPE = 'io.cozy.accounts'

export type Account = {
  _id: string
  account_type: string
  auth: {
    credentials_encrypted: string
    login: string
  }
  identifier: string
  state?: string | null
}

export function isAccount(account: any): account is Account {
  return (
    account &&
    '_id' in account &&
    'account_type' in account &&
    'auth' in account &&
    'identifier' in account &&
    'state' in account
  )
}
